org.apache.cayenne.log

## Interface JdbcEventLogger

- All Known Implementing Classes:
    CommonsJdbcEventLogger, FormattedCommonsJdbcEventLogger, NoopJdbcEventLogger

      public interface JdbcEventLogger

  A logging service used by Cayenne to output database interactions.
  Since:
    3.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLoggable()` Returns true if current thread default log level is high enough to generate output.
    `void` | `log(String message)` Logs an arbitrary message.
    `void` | `logBeginTransaction(String transactionLabel)`
    `void` | `logCommitTransaction(String transactionLabel)`
    `void` | `logConnect(String dataSource)` Logs database connection event using container data source.
    `void` | `logConnect(String url, String userName, String password)`
    `void` | `logConnectFailure(Throwable th)`
    `void` | `logConnectSuccess()`
    `void` | `logGeneratedKey(DbAttribute attribute, Object value)`
    `void` | `logPoolCreated(DataSourceInfo dsi)` Logs database connection event.
    `void` | `logQuery(String sql, List<?> params)`
    `void` | `logQuery(String sql, List<DbAttribute> attrs, List<?> params, long time)`
    `void` | `logQueryError(Throwable th)`
    `void` | `logQueryParameters(String label, List<DbAttribute> attrs, List<Object> parameters, boolean isInserting)`
    `void` | `logRollbackTransaction(String transactionLabel)`
    `void` | `logSelectCount(int count, long time)`
    `void` | `logUpdateCount(int count)`

- - ### Method Detail

    - #### log

          void log(String message)

      Logs an arbitrary message.

    - #### logConnect

          void logConnect(String dataSource)

      Logs database connection event using container data source.

    - #### logConnect

          void logConnect(String url,
                        String userName,
                        String password)

    - #### logPoolCreated

          void logPoolCreated(DataSourceInfo dsi)

      Logs database connection event.

    - #### logConnectSuccess

          void logConnectSuccess()

    - #### logConnectFailure

          void logConnectFailure(Throwable th)

    - #### logGeneratedKey

          void logGeneratedKey(DbAttribute attribute,
                             Object value)

    - #### logQuery

          void logQuery(String sql,
                      List<?> params)

    - #### logQuery

          void logQuery(String sql,
                      List<DbAttribute> attrs,
                      List<?> params,
                      long time)

    - #### logQueryParameters

          void logQueryParameters(String label,
                                List<DbAttribute> attrs,
                                List<Object> parameters,
                                boolean isInserting)

    - #### logSelectCount

          void logSelectCount(int count,
                            long time)

    - #### logUpdateCount

          void logUpdateCount(int count)

    - #### logBeginTransaction

          void logBeginTransaction(String transactionLabel)

    - #### logCommitTransaction

          void logCommitTransaction(String transactionLabel)

    - #### logRollbackTransaction

          void logRollbackTransaction(String transactionLabel)

    - #### logQueryError

          void logQueryError(Throwable th)

    - #### isLoggable

          boolean isLoggable()

      Returns true if current thread default log level is high enough to generate output.

Copyright © 2001–2014 Apache Cayenne. All rights reserved.